Subject: Re: bug#62451: 29.0.60; nnselect-request-threads assumes gnus-search-use-parsed-queries
From: Sean Whitton <[email-masked]>
To: Andrew Cohen <[email-masked]>
Cc: [email-masked]
Date: Sun, 26 Mar 2023 11:05:54 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

On Sun 26 Mar 2023 at 08:17AM +08, Andrew Cohen wrote:

>>>>>> "SW" == Sean Whitton <[email-masked]> writes:
>
>     SW> X-debbugs-cc: [email-masked] nnselect-request-threads generates a
>     SW> query in Gnus's generic search language and expects
>     SW> gnus-search-prepare-query to convert it to a raw query.  But if
>     SW> gnus-search-use-parsed-queries is nil, as it is by default, then
>     SW> this doesn't happen, and the search engine receives a query it
>     SW> can't understand.  For example, notmuch receives a query like
>     SW> "id:<foo> or id:<bar>" when it should receive "id:foo or
>     SW> id:bar".
>
>     SW> This breaks the gnus-summary-refer-thread command.
>
>     SW> One way to fix it is to add a binding
>     SW> (gnus-search-use-parsed-queries t) to the let* form in which the
>     SW> call to gnus-search-run-query is made.
>
>
> This has been in my tree for ages but I never pushed it (it is part of
> larger changes to thread referral/retrieval). Its worth pushing by
> itself and I'll try to do that.
>
> Sorry for the delay.

Thank you for installing the change.  I noticed that you didn't add the
bug number to the commit message -- it would be good if you could do
that next time.

Closing the bug.

-- 
Sean Whitton